# UniTAP.dev.ports.tx

class TX(UniTAP.dev.ports.port.TSIPort):

Class describe base capabilities of Source (TX - transmitter). This functionality is used by child classes `DPTX` and `HDTX`. You cannot use a class `TX` object directly.

TX( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
ag: UniTAP.dev.ports.modules.ag.ag.AudioGenerator

Should be used to control `AudioGenerator` on Source (TX - transmitter) role.

###### Returns:

> object of `AudioGenerator` type.